QLNode(3qt)

NAME
QLNode - Internal class for the

#include <qglist.h>

  Public Members
QCollection::Item getData ()

DESCRIPTION
The QLNode class is an internal class for the QList template collection.

QLNode is a doubly linked list node; it has three pointers:

1   Pointer to the previous node.

2   Pointer to the next node.

3   Pointer to the actual data.

Sometimes it might be practical to have direct access to the list nodes in a QList, but it is seldom required.

Warning: Be very careful if you want to access the list nodes. The heap can easily get corrupted if you make a mistake.

See also QList::currentNode(), QList::removeNode() and QList::takeNode().

MEMBER FUNCTION DOCUMENTATION

QCollection::Item QLNode::getData()
Returns a pointer (void*) to the actual data in the list node.

SEE ALSO
http://doc.trolltech.com/qlnode.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qlnode.3qt) and the Qt version (2.3.3).